Place a bet
curl --request POST \
--url https://hedgeem-server.qeetoto.com/api/tables/{tableId}/bet \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"playerId": "abc123",
"seatIndex": 0,
"handIndex": 1,
"betAmount": 25
}
'import requests
url = "https://hedgeem-server.qeetoto.com/api/tables/{tableId}/bet"
payload = {
"playerId": "abc123",
"seatIndex": 0,
"handIndex": 1,
"betAmount": 25
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({playerId: 'abc123', seatIndex: 0, handIndex: 1, betAmount: 25})
};
fetch('https://hedgeem-server.qeetoto.com/api/tables/{tableId}/bet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"acknowledgement": "ACK",
"message": "Bet placed successfully.",
"updatedSeatBalance": 475
}Tables
Place a bet
Places a bet on a specific hand at the current betting stage.
Bets are only accepted when the game is in an active betting stage (Hole, Flop, or Turn). The odds recorded at the time of the bet are stored alongside it for payout calculation.
Equivalent to ws_place_bet in the legacy C# server.
POST
/
api
/
tables
/
{tableId}
/
bet
Place a bet
Authorizations
Supabase Auth JWT. Obtain via Supabase Auth sign-in.
Path Parameters
Unique numeric table identifier
Required range:
x >= 1Example:
1
Body
application/json
⌘I